Extension Requirement

To install this extension on your system you must have the Mozilla Firefox version 3.0+

How to install the extension

Installing the LiveDic extension is very simple!

If currently you're using Mozilla Firefox you can install LiveDic xpi package directly.

Click "Add to Firefox" button to install the extension from Mozilla.org website


Note: After installing LiveDic extension on Mozilla Firefox you must restart your browser.

If you have problem with installing extension on Firefox please contact us.